package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.CrossDirDataRealtimePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 21:09
 */
@Mapper
public interface CrossDirDataRealtimeMapper extends BaseMapper<CrossDirDataRealtimePO> {
    void insertBatch(@Param("list")List<CrossDirDataRealtimePO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);

    CrossDirDataRealtimePO selectByCrossIdAndDirType(String crossId, Integer key);

    List<CrossDirDataRealtimePO> selectByCrossIdAndInOutType(String crossId, Integer inOutType);

}
