package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.RidInfoEntity;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 16:22
 */
@Repository
public interface RidInfoMapper {
    Double selectRoadLength(@Param("startCrossId") String startCrossId,
                            @Param("endCrossId") String endCrossId);

    String selectStartCrossOutDir(@Param("startCrossId") String startCrossId,
                                  @Param("endCrossId") String endCrossId);

    String selectWkt(@Param("startCrossId") String startCrossId,
                     @Param("endCrossId") String endCrossId);

    List<RidInfoEntity> selectOne(@Param("startCrossId") String startCrossId,
                                  @Param("endCrossId") String endCrossId);

    RidInfoEntity selectByEndInDir(String endCrossId, int spilloverDirInt);
}
